Subject: Re: bug#10952: 24.0.94; ansi-color-for-comint-mode-on no longer working

From: Glenn Morris <[email-masked]>
Date: Wed, 07 Mar 2012 03:50:35 -0500

Oleksandr Manzyuk wrote:

> Building Emacs with "make clean install" fixed this problem for me.
> There have been some changes introduced fairly recently into
> ansi-color.el, comint.el, and shell.el.  The old .elc files might be
> still lying around.

That could well be true; but `make clean' doesn't delete the old .elc
files, so it's not obvious why that would make a difference for you.

I can't reproduce the reported problem. Also note that ansi escapes are
handled by default since Emacs 23.1, so just emacs -Q -f shell should
work fine.

Is there still a problem if you use `make bootstrap' followed by
emacs -Q -f shell?